DisjunctiveSortExpression (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.osf.base

## Class DisjunctiveSortExpression

- java.lang.Object
- - hlt.osf.base.OsfExpression
  - - hlt.osf.base.SortExpression
    - - hlt.osf.base.DisjunctiveSortExpression

- All Implemented Interfaces:
    Contextable

      public class DisjunctiveSortExpression
      extends SortExpression

  This is the class of disjunctive sorts. It consists of a list of Strings denoting the sorts of its components.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DisjunctiveSortExpression(ArrayList names)`
    `DisjunctiveSortExpression(ArrayList names, Context context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `displayForm()` Returns the string form of this OSF expression according the display manager of its context.
    `ArrayList` | `names()`
    `byte` | `type()` This returns the type of Boolean expression this sort expression is; one of: `Context.SYM()` if this is a sort symbol; `Context.DIS()` if this is a disjunctive sort; `Context.NOT()` if this is a negated sort expression; `Context.AND()` if this is a sort-expression conjunction; `Context.OR ()` if this is a sort-expression disjunction; `Context.BNT()` if this is a sort-expression complementation.

    - ### Methods inherited from class hlt.osf.base.SortExpression

      `isAnd, isButnot, isDisjunction, isNot, isOr, isParenthesized, isSymbol, maxLowerBound, setParenthesized, toString, value`

    - ### Methods inherited from class hlt.osf.base.OsfExpression

      `context, setContext`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DisjunctiveSortExpression

          public DisjunctiveSortExpression(ArrayList names)

    - #### DisjunctiveSortExpression

          public DisjunctiveSortExpression(ArrayList names,
                                   Context context)

  - ### Method Detail

    - #### names

          public ArrayList names()

    - #### type

          public byte type()

      Description copied from class: `SortExpression`
      This returns the type of Boolean expression this sort expression is; one of:
      - `Context.SYM()` if this is a sort symbol;
      - `Context.DIS()` if this is a disjunctive sort;
      - `Context.NOT()` if this is a negated sort expression;
      - `Context.AND()` if this is a sort-expression conjunction;
      - `Context.OR ()` if this is a sort-expression disjunction;
      - `Context.BNT()` if this is a sort-expression complementation.
      Specified by:
        `type` in class `SortExpression`

    - #### displayForm

          public java.lang.String displayForm()

      Description copied from class: `OsfExpression`
      Returns the string form of this OSF expression according the display manager of its context.
      Specified by:
        `displayForm` in class `OsfExpression`